<template>
  <div id="footer_second">
    <div class="container">
      <div class="row">
        <div class="col-md">
          <!-- NEW -->
          <!-- {{ $t('message.footer.lastUpdate') }} 11/03/2020 -->
        </div>
        <div class="col-md">
          <div class="float-md-right">
            <div class="region region-footer-second">
              <nav role="navigation" id="block-servicetools">
                <ul class="menu" id="edp3-bottom-footer">
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/newsletter/subscribe`">{{ $t('message.footer.links.newsletter') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/faq`">{{ $t('message.footer.links.faq') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/feedback/form`">{{ $t('message.footer.links.contact') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/cookies`">{{ $t('message.footer.links.cookies') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/legal-notice`">{{ $t('message.footer.links.legalNotice') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <!--<a v-if="!authenticated" @click="$router.push(`/login?locale=${$i18n.locale}`)" class="nav-link px-0 py-3 py-md-1 login">{{ $t('message.header.subnav.login') }}</a>-->
                    <a href="" target="_self" v-if="!authenticated" @click.prevent="login()">{{ $t('message.header.subnav.login') }}</a>
                    <a href="" target="_self" v-else @click.prevent="logout()">{{ $t('message.header.subnav.logout') }}</a>
                  </li>
                </ul>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
/* eslint-disable */
import { mapGetters, mapActions } from 'vuex';
import AppLink from './AppLink';

export default {
  name: 'EDP3-footerBottom',
  components: {
    appLink: AppLink,
  },
  dependencies: 'authService',
  data() {
    return {
      authenticated: false,
    };
  },
  computed: {
    ...mapGetters('auth', [
      'securityAuth',
    ]),
  },
  methods: {
    ...mapActions('auth', [
      'authLogout',
    ]),
    login() {
      if (this.$env.keycloak.enableLogin) {
        this.authService.init();
      }
    },
    logout() {
      this.$Progress.start();
      this.authService.logout(this.securityAuth, window.location.origin);
      this.authLogout();
      this.$Progress.finish();
    },
  },
  async mounted() {
    await this.$nextTick();
    const checkAuthStatus = setInterval(() => {
      // Ask in a set interval whether the user is logged in or not
      // todo: this can be done better but testing proves difficult since keycloak always returns false
      if (this.$env.useAuthService && this.$env.keycloak.enableLogin && this.authService.isAuthenticated(this.securityAuth)) {
        this.authenticated = true;
        clearTimeout(checkAuthStatus);
      }
    }, 1000);
  },
};

</script>

<style lang="scss" scoped>
  @import '../../node_modules/bootstrap/scss/bootstrap.scss';
  @import '../styles/footer-second.css';

  #edp3-bottom-footer {
  padding-left: 0px !important;
  
  }

</style>
